api/urls.py
from django.urls import path
from api import views


app_name ="api"
urlpatterns = [
    
]

home/urls.py
from django.urls import path
from home import views


app_name ="home"
urlpatterns = [
    path('', views.Index.as_view(), name="index"),
    path('Nosotros/', views.Nosotros.as_view(), name="Nosotros"),
]

principal/urls.py
from django.contrib import admin
from django.urls import path, include

urlpatterns = [
    path('admin/', admin.site.urls),
    path('api/', include("api.urls")),
    path('core/', include("core.urls")),
    path('', include("home.urls")),
]

templates/base/base.html
{% load static %}

<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>{% block tittle %} {% endblock tittle %}</title>
    <link rel="stylesheet" href="{% static 'css/bootstrap.min.css' %}">
    <style>
      body {
          font-family: 'Courier New', Courier, monospace;
          margin: 0;
          padding: 0;
          min-height: 100vh; /* Asegura que el body ocupe al menos la altura de la ventana */
      }

      nav {
          background-color: #ffffff;
          overflow: hidden;
          box-shadow: 0 2px 5px rgba(0, 0, 0, 0.2);
          width: 100%;
          display: flex; /* Utilizar flexbox para alinear en el medio */
          align-items: center; /* Centrar verticalmente */
          justify-content: space-between; /* Alinear en ambos extremos */
      }

      nav img {
          margin-left: 20px;
          height: 65px;
          padding: 5px 0;
          cursor: pointer;
      }

      nav a {
          float: right;
          display: block;
          color: #225282;
          text-align: center;
          padding: 14px 16px;
          text-decoration: none;
      }

      @media screen and (max-width: 600px) {
          nav a {
            flex-direction: column; /* Cambiar a dirección de columna en pantallas pequeñas */
            align-items: flex-start; /* Alinear al inicio en pantallas pequeñas */
          }
      }
  </style>
</head>
<body>

<nav>
  <a href="{% url 'home:index' %}">
    <img src="{% static 'Arowwai.png' %}" alt="Logo">
  </a>
  <a href="{% url 'home:index' %}">Citas</a>
  <a href="#">Historial</a>
  <a href="{% url 'home:Nosotros' %}">Sobre nosotros</a>
  <a href="#">Cerrar sesión</a>
</nav>

{% block content %}
{% endblock content %}

<footer class="fixed-bottom text-center text-white" style="background-color: #0a4275;">
    <div class="container p-4 pb-0">
        <section class="">
            <p class="d-flex justify-content-center align-items-center">
                <span class="me-3">Gestión de citas para el corazón de tu industria: Bienvenido a MachFlex.</span>
            </p>
        </section>
    </div>
    <div class="text-center p-3" style="background-color: rgba(0, 0, 0, 0.2);">
        © 2023 Copyright:
        <a class="text-white" href="https://mdbootstrap.com/">MachFlex.com</a>
    </div>
</footer>

</body>
</html>